Bug 1600710 - Breadcrumb switcher in Host Facts page is missing
Summary: Breadcrumb switcher in Host Facts page is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Released
Assignee: Amir
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 20:16 UTC by Perry Gagne
Modified: 2019-10-07 17:13 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:44 UTC
Foreman Issue Tracker 24276 None None None 2018-07-17 14:56:53 UTC

Description Perry Gagne 2018-07-12 20:16:32 UTC
Created attachment 1458555 [details]
screen shot

Description of problem: On the facts page for a host the breadcrumb switcher does not have options for switching between other hosts. It just says "values".


See attached screen shot


Version-Release number of selected component (if applicable): 6.4.0 snap 11


How reproducible: Always


Steps to Reproduce:
1. Monitor -> Facts, select a host. 
2. 
3.

Actual results: "values" is shown at the end of the breadcrumb


Expected results: The context switcher should show other hosts. 


Additional info:

Comment 3 Perry Gagne 2018-07-16 15:44:52 UTC
Sorry for the confusion. I am referring to the "Context Switcher" in the bread crumb bar, not to the table. Fixed the title to make this clear.

The issue here is that the context switcher is not shown for this page.

Comment 5 Walden Raines 2018-07-17 14:56:51 UTC
Created redmine issue https://projects.theforeman.org/issues/24276 from this bug

Comment 8 Roxanne Hoover 2018-10-02 13:30:27 UTC
After talking with the team --

We're going to include the breadcrumb switcher on pages where the host is the value being filtered by. We will not display it on pages where the Host is no the value being filtered by.

Comment 9 pm-sat@redhat.com 2018-10-09 22:06:19 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 10 pm-sat@redhat.com 2018-10-09 22:06:23 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 11 pm-sat@redhat.com 2018-10-31 12:06:23 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24276 has been resolved.

Comment 14 Jameer Pathan 2018-11-22 07:35:23 UTC
verified

@satellite 6.5.0 snap 4

steps:
1. Monitor -> Facts, select a host. 
2. click on context switcher icon.
3. click on hosts shown by context switcher.

observations:
- The context switcher shows other hosts.
- also able to switch to other hosts facts using context switcher.

Comment 16 errata-xmlrpc 2019-05-14 12:37:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.